// ==UserScript==
// @name           wikilogin
// @namespace      tobi-x.com, mandiberg.com
// @description    Automatically logs in to the Eyebeam mediawiki
// @version        0.1
// @date           2008-03-26
// @creator        Tobias Leingruber (tobi at tobi-x dot com) // Michael Mandiberg (michael at mandiberg dot com)
// @include        http://wikis.eyebeam.org/*
// ==/UserScript==
// based on Henrik Nyh's eBay autologin -- http://userscripts.org/scripts/show/1766

//two regular expressions, we will test the path w/ these
const inboxRegex = /\bmenu\.\d*\.cgi\b/g;
const loginRegex = /\blogin\.cgi\b/g;

// the <title>title</title>, some (crappy) pages do not have this
var title = document.getElementsByTagName('title')[0].textContent;
// so we need the path, everything after the root /
var path = window.location.pathname;

// Milliseconds to wait for form to autofill (necessary in Fx 1.5 - slower computers may need longer wait)
var timer = 1000;
var timo, maySubmit = true;  // Not currently typing (so we can submit it)

if (title == 'Error'){ // if the page title is error, get the link and go on to the login page
	var login_link = document.getElementById('bodyContent').getElementsByTagName('a')[0];
	window.location = login_link;
	
} else if (title == "Log in / create account - Eyebeam Wiki"){
	var incorrect_pwd = document.getElementById('bodyContent').getElementsByTagName('h2')[0].textContent;
	var form = document.forms.namedItem('userlogin');
	var uid = form.elements.namedItem('wpName');
	var pw = form.elements.namedItem('wpPassword');
		if (!uid.value.length || !pw.value.length ) {
		alert("Please save your login data, to use the login-script");
		} else if (incorrect_pwd == "Login error:") {
		alert("Your password or user name is incorrect");
		}
		else {
		form.submit();
		}
	}
else if (title == "Login successful - Eyebeam Wiki"){
	var login_link2 = document.getElementById('bodyContent').getElementsByTagName('a')[0];
	window.location = login_link2;
}